/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */
/* 
 * HISTORY
 * $Log: page.h,v $
 * Revision 1.1.2.2  1994/07/21  22:04:23  drand
 * 	Update for 9832
 * 	[1994/07/21  21:55:52  drand]
 *
 * Revision 1.1.2.1  1994/06/02  15:38:35  marty
 * 	File moved from ./demos directory.
 * 	[1994/06/02  14:27:48  marty]
 * 
 * Revision 1.1.5.2  1993/09/23  17:33:22  drand
 * 	Updated.
 * 	[1993/09/23  17:29:09  drand]
 * 
 * Revision 1.1.2.3  1993/07/21  20:40:04  yak
 * 	Expended OSF Copyright marker
 * 	[1993/07/21  19:15:33  yak]
 * 
 * Revision 1.1.2.2  1993/06/29  21:34:49  drand
 * 	Initial revision.
 * 	[1993/06/29  21:32:23  drand]
 * 
 * $EndLog$
 */

#ifdef REV_INFO
#ifndef lint
static char *rcsidpageH = "$Header: /u1/rcs/motif/demos/programs/todo/page.h,v 1.1.2.2 1994/07/21 22:04:23 drand Exp $";
#endif
#endif

#ifndef Page_H
#define Page_H

#define MAXPAGES 100
#define MAXINIT 512

typedef struct {
  char *page;
  char *majorTab;
  char *minorTab;
  char *label;
  Widget minorPB;
  Widget majorPB;
  int 	lasttoppos;
  int   lastcursorpos;
} PageRec, *Page;

/* Options */
typedef struct {
  String	todoFile;
} OptionsRec;

extern OptionsRec options;

#endif /* Page_H */
