/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
 * $Log: Dog.h,v $
 * Revision 1.1.2.1  1994/06/02  15:39:35  marty
 * 	File moved from demos/dogs
 * 	[1994/06/02  14:11:53  marty]
 *
 * Revision 1.4.6.2  1993/07/21  20:30:42  yak
 * 	Expended OSF Copyright marker
 * 	[1993/07/21  19:05:25  yak]
 * 
 * Revision 1.4.4.2  1993/01/09  20:21:41  al
 * 	Integrate Destroy fixes from Robert Belanger
 * 	[1993/01/09  20:17:35  al]
 * 
 * Revision 1.4.2.2  1992/05/21  16:47:01  yak
 * 	Removed personal Copyright.
 * 	[1992/05/21  14:18:11  yak]
 * 
 * Revision 1.4  1992/03/13  15:33:56  devsrc
 * 	Converted to ODE
 * 
 * $EndLog$
*/ 
/*   $RCSfile: Dog.h,v $ $Revision: 1.1.2.1 $ $Date: 1994/06/02 15:39:35 $ */

/*****************************************************************************
*
*  Dog.h - widget public header file
*  
******************************************************************************/

#ifndef _Dog_h
#define _Dog_h

#define USING_UIL

externalref WidgetClass dogWidgetClass;

typedef struct _DogClassRec *DogWidgetClass;
typedef struct _DogRec *DogWidget;

#define DogNbarkCallback "barkCallback"
#define DogNwagTime "wagTime"
#define DogNbarkTime "barkTime"

#define DogCWagTime "WagTime"
#define DogCBarkTime "BarkTime"

#define IsDog(w) XtIsSubclass((w), dogWidgetClass)

extern Widget DogCreate();
#ifdef	USING_UIL
extern int DogMrmInitialize();
#endif

#endif /* _Dog_h */
/* DON'T ADD ANYTHING AFTER THIS #endif */
