/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
 * $Log: SquareP.h,v $
 * Revision 1.1.2.1  1994/06/02  15:39:45  marty
 * 	File moved from demos/dogs
 * 	[1994/06/02  14:12:03  marty]
 *
 * Revision 1.4.8.2  1993/07/21  20:31:27  yak
 * 	Expended OSF Copyright marker
 * 	[1993/07/21  19:06:23  yak]
 * 
 * Revision 1.4.6.2  1993/06/07  19:39:44  dbrooks
 * 	DEC fixes for Alpha and/or VMS
 * 	[1993/06/07  19:38:13  dbrooks]
 * 
 * Revision 1.4.4.2  1992/07/09  21:30:00  yak
 * 	Fixed warning in OSF1 1.1 build.
 * 	[1992/07/09  21:29:25  yak]
 * 
 * Revision 1.4.2.2  1992/05/21  16:47:29  yak
 * 	Removed personal copyrights
 * 	[1992/05/21  15:10:08  yak]
 * 
 * Revision 1.4  1992/03/13  15:34:36  devsrc
 * 	Converted to ODE
 * 
 * $EndLog$
*/ 
/*   $RCSfile: SquareP.h,v $ $Revision: 1.1.2.1 $ $Date: 1994/06/02 15:39:45 $ */


#ifndef _SquareP_h
#define _SquareP_h

#include "Square.h"
#include <Xm/BulletinBP.h>

#define SquareIndex (XmBulletinBIndex + 1)

typedef struct _SquareClassPart
{
   XtPointer reserved;
} SquareClassPart;


typedef struct _SquareClassRec
{
   CoreClassPart       core_class;
   CompositeClassPart  composite_class;
   ConstraintClassPart constraint_class;
   XmManagerClassPart  manager_class;
   XmBulletinBoardClassPart  bulletin_board_class;
   SquareClassPart     square_class;
} SquareClassRec;

externalref SquareClassRec squareClassRec;

typedef struct _SquarePart
{
    int major_dimension;
} SquarePart;


/*  Full instance record declaration  */

typedef struct _SquareRec
{
   CorePart	  core;
   CompositePart  composite;
   ConstraintPart constraint;
   XmManagerPart  manager;
   XmBulletinBoardPart  bulletin_board;
   SquarePart     square;
} SquareRec;

typedef struct _SquareConstraintPart
{
   Boolean make_square;
} SquareConstraintPart;

typedef struct _SquareConstraintRec
{
   XmManagerConstraintPart manager;
   SquareConstraintPart    square;
} SquareConstraintRec, *SquareConstraint;


#endif /* _SquareP_h */
/* DON'T ADD ANYTHING AFTER THIS #endif */
