/*
 * COPYRIGHT NOTICE
 * Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 * ALL RIGHTS RESERVED (MOTIF).  See the file named COPYRIGHT.MOTIF
 * for the full copyright text.
 * 
 */
/*
 * HISTORY
 * $Log: utm_send.h,v $
 * Revision 1.1.2.1  1994/06/02  15:34:01  marty
 * 	File moved from demos/workspace/wsmLib
 * 	[1994/06/01  21:08:54  marty]
 *
 * 	This file has been moved from demos/workspace/wsmlib.  Refer to that directory for prior history
 *
 * Revision 1.1.2.1  1994/03/23  17:59:18  deblois
 * 	Split wsm library code into mwm and wsm dirs.
 * 	[1994/03/23  17:57:28  deblois]
 * 
 * $EndLog$
 */

/*
 * This is used to pass the data from the request
 * setup routine to the callback routine where the
 * data is actually transferred.
 */
typedef struct _UTMPackageRec {
  int fmt;
  Atom target;
  unsigned long len;
  XtPointer param;
  XtCallbackProc doneProc;
  XtPointer closure;
} UTMPackageRec;


extern void UTMSendMessage(
#ifndef _NO_PROTO
Widget, Atom, Atom, XtPointer, unsigned long, int,
XtCallbackProc, XtPointer, Time
#endif
);

extern void UTMDestinationProc (
#ifndef _NO_PROTO
Widget, XtPointer, XtPointer
#endif
);
