/*
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */
/*
 * HISTORY
 * $Log: dragsource.h,v $
 * Revision 1.1.2.1  1994/06/02  15:34:45  marty
 * 	File moved from ./demos directory.
 * 	[1994/06/02  14:21:38  marty]
 *
 * Revision 1.1.2.3  1993/12/08  23:42:05  yak
 * 	Expended copyright. CR 7534
 * 	[1993/12/08  23:01:50  yak]
 * 
 * Revision 1.1.2.2  1993/08/26  21:52:40  vania
 * 	Initial revision
 * 	[1993/08/26  21:48:39  vania]
 * 
 * 	create drag source
 * 	[1993/08/26  21:22:06  vania]
 * 
 * $EndLog$
 */

/*
 * The Airport Drag And Drop Demo
 *
 * Airport Drag Source / Initiator Header File
 * The dragsource module contains all functions that relate to the
 * drag operation.
 * 
 * The TakeOff functions starts the drag and creates the drag context.
 *
 * Most callbacks are one line source code to set the toggle button
 * corresponding to current state, in the radio box of outcoming flights.
 *
 * When the plane is flying over any drop site do audio feed back (beep)
 *
 * When the plane is flying over an airport, in addition change the
 * color of the plane icon (default is Pink)
 *
 * When the drop is finished
 *	if successful announce that it has landed
 *	if it failed announce the plane returned
 *
 *    Created: Vania JOLOBOFF / May 1992
 *
 */

/*
 *  Declare the function that starts dragging a plane icon.
 */

#ifdef _NO_PROTO
void TakeOff();
#else
void TakeOff(Widget area, Airport this, XButtonEvent *evt, int spot);
#endif
