/*
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */
/*
 * HISTORY
 * $Log: dropsite.h,v $
 * Revision 1.1.2.1  1994/06/02  15:34:48  marty
 * 	File moved from ./demos directory.
 * 	[1994/06/02  14:21:47  marty]
 *
 * Revision 1.1.2.3  1993/12/08  23:42:08  yak
 * 	Expended copyright. CR 7534
 * 	[1993/12/08  23:01:54  yak]
 * 
 * Revision 1.1.2.2  1993/08/26  21:52:50  vania
 * 	Initial revision
 * 	[1993/08/26  21:48:49  vania]
 * 
 * 	create drop site header
 * 	[1993/08/26  21:22:26  vania]
 * 
 * $EndLog$
 */

/*
 * The Airport Drag And Drop Demo
 *
 * Airport Drop Site / Receiver Header File
 * The drop site module contains all functions that relate to the
 * drop site operations.
 * 
 * The MakeAirportDropSite functions registers the airport as a drop site.
 *
 * The drag callback sets the toggle button
 * corresponding to current state, in the radio box of incoming flights.
 *
 * When something is flying over the airport, change the color of the track
 *
 * When the drop is finished
 *	if successful announce that it has landed
 *	if it failed announce the plane returned
 *
 *    Created: Vania JOLOBOFF / May 1992
 *
 */

#include "airport.h"

/*
 *  Declare the function that will start dragging a plane icon.
 */

#ifdef _NO_PROTO
void MakeAirportDropSite();
#else
void MakeAirportDropSite(Widget area, Airport this);
#endif
