...\" COPYRIGHT NOTICE
...\" Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
...\" ALL RIGHTS RESERVED (MOTIF).  See the file named COPYRIGHT.MOTIF
...\" for the full copyright text.
...\" 
...\" 
...\" HISTORY
...\" $Log: animate.man,v $
...\" Revision 1.1.2.1  1994/07/21  20:06:07  daniel
...\" 	work on 9583: demos compliance
...\" 	[1994/07/21  20:02:57  daniel]
...\"
...\" $EndLog$
.TH animate 1X MOTIF "Demonstration programs"
.SH NAME
\*Lanimate\*O : an animation program using Motif 1.2
.SH SYNOPSIS
.sS
\*Lanimate\*O [-anim uidfile] [-speed speed_factor]
.sE
.SH DESCRIPTION
\*LAnimate\*O
demonstrates the following Motif features:
     - declaration of icon/bitmap using UIL
     - exchange of value between UIL and C using Mrm.
     - use of the Motif form widget.
     - background procedure running while the client process
       is waiting for inputs (Xt intrinsics feature).
     
The pixmaps are not fixed by animate but instead read at startup from
existing UID files. 

The syntax of all the 'animation.uid' files follows some simple rules and
one can easily add a new set of pixmap to be animated using animate.

dog.uil, plane.uil and superman.uil are tree examples of animation data 
files. (superman<N>.xbm are referenced in superman.uil). The default animation
is 'dog'. To run the demo with the other animations, use the command:

% animate -anim plane

% animate -anim superman

motiflogo.uil, animate.uil and animate.c are the core components 
of the program.

speed_factor is a number between 0 and 100.


.SH Files
.nf
.ta 1.2i
XmdAnimate: the app-default file.
Try running something like: (XENVIRONMENT=XmdAnimate animate) 

.fi
.SH X Defaults
The class of this application is \fIXmdAnimate\fR.  

.SH Editres: 
Animate is Editres aware, so you can use 'editres' to see the
names of the widgets in the instance hierarchy.


