/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
 * $Log: file.c,v $
 * Revision 1.1.2.1  1994/06/07  17:00:24  marty
 * 	File moved from demos/view
 * 	[1994/06/07  16:59:49  marty]
 *
 * Revision 1.2.4.2  1993/07/21  20:41:06  yak
 * 	Expended OSF Copyright marker
 * 	[1993/07/21  19:16:59  yak]
 * 
 * Revision 1.2.2.3  1992/04/30  19:06:40  daniel
 * 	make compile on the sun
 * 	[1992/04/30  13:33:08  daniel]
 * 
 * Revision 1.2.2.2  1992/04/28  15:22:56  vania
 * 	no change
 * 	[1992/04/28  14:27:44  vania]
 * 
 * Revision 1.2  1992/03/13  15:45:41  devsrc
 * 	Converted to ODE
 * 
 * $EndLog$
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$RCSfile: file.c,v $ $Revision: 1.1.2.1 $ $Date: 1994/06/07 17:00:24 $"
#endif
#endif

#include <stdio.h>
#include <stdlib.h>
#include "file.h"

#ifndef X_NOT_STDC_ENV
#include <unistd.h>
#endif

/* =====================================================================
 * Open File 
 */

#ifdef _NO_PROTO
FILE * OpenFile(path)
		char *path;
#else
FILE * OpenFile(char *path)
#endif
{
   return  fopen(path, "r");
}

/* =====================================================================
 * Close File
 */

#ifdef _NO_PROTO
void CloseFile(file)
		FILE * file;
#else
void CloseFile(FILE * file)
#endif
{
   fclose (file);
}

/* =====================================================================
 * Read File in buffer
 */

#ifdef _NO_PROTO
char * ReadFile(file, filesize)
		FILE * file;
		int *filesize;
#else
char * ReadFile(FILE * file, int *filesize)
#endif
{
   char * buffer;

   fseek(file, 0L, SEEK_END);
   * filesize = ftell(file);
/*   fgetpos(file, (fpos_t *) filesize);*/
   rewind(file);
   buffer = (char *) XtMalloc(*filesize+1);
   if (fread(buffer, 1, *filesize, file) == *filesize ) {
      buffer[*filesize] = '\0';
      return buffer;
   }
   XtFree(buffer);
   return NULL;
}
