/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
 * $Log: textE.h,v $
 * Revision 1.1.2.1  1994/06/07  17:00:37  marty
 * 	File moved from demos/view
 * 	[1994/06/07  16:59:57  marty]
 *
 * Revision 1.2.4.2  1993/07/21  20:42:28  yak
 * 	Expended OSF Copyright marker
 * 	[1993/07/21  19:18:41  yak]
 * 
 * Revision 1.2.2.2  1992/04/28  15:26:05  vania
 * 	back search
 * 	[1992/04/28  14:41:29  vania]
 * 
 * Revision 1.2  92/03/13  15:46:16  devsrc
 * 	Converted to ODE
 * 
 * $EndLog$
*/ 
/*   $RCSfile: textE.h,v $ $Revision: 1.1.2.1 $ $Date: 1994/06/07 17:00:37 $ */

#if ( defined text_h )
#define extern 
#endif

#ifdef _NO_PROTO
extern void FileOKCallback();
extern void NewPaneCallback();
extern void KillPaneCallback();
extern void FindCallback();
#else
extern void FileOKCallback(Widget fsb, ViewPtr this,
			   XmFileSelectionBoxCallbackStruct *call_data);

extern void FindCallback(Widget button, ViewPtr this,
			  XmPushButtonCallbackStruct *call_data);

extern void NewPaneCallback(Widget fsb, ViewPtr this,
			    XmPushButtonCallbackStruct *call_data);

extern void KillPaneCallback(Widget button, ViewPtr this,
			    XmPushButtonCallbackStruct *call_data);

#endif

#if ( defined extern )
#undef extern 
#endif
