...\" COPYRIGHT NOTICE
...\" Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
...\" ALL RIGHTS RESERVED (MOTIF).  See the file named COPYRIGHT.MOTIF
...\" for the full copyright text.
...\" 
...\" 
...\" HISTORY
...\" $Log: todo.man,v $
...\" Revision 1.1.2.3  1994/07/21  22:04:25  drand
...\" 	Update for 9832
...\" 	[1994/07/21  21:55:54  drand]
...\"
...\" Revision 1.1.2.2  1994/07/20  18:38:54  yak
...\" 	Minor clean up. CR 9814
...\" 	[1994/07/20  18:28:53  yak]
...\" 
...\" Revision 1.1.2.1  1994/06/02  15:38:40  marty
...\" 	File moved from ./demos directory.
...\" 	[1994/06/02  14:28:02  marty]
...\" 
...\" Revision 1.1.2.2  1994/05/12  22:02:05  drand
...\" 	Initial coding
...\" 	[1994/05/12  22:01:49  drand]
...\" 
...\" $EndLog$
.TH todo 1X MOTIF "Demonstration programs"
.SH NAME
\*Ltodo\*O \(em Manage todo lists
.SH SYNOPSIS
.sS
\*Ltodo [-todoFile pathname] \*O
.sE
.SH DESCRIPTION
\*LTodo\*O
is a simple todo list manager.  It provides a demonstration of the
XmNotebook widget.  To use 
\*Ltodo\*O,  you should be able to simply run it
from any directory.  By default it reads its database from your
home directory,  but this can be overriden by \fIpathname\fR.
.SH Files
.nf
.ta 1.2i
$HOME/.todo	The user's todo list
.fi
.SH X Defaults
The class of this application is \fIXmDTodo\fR.  The name of the widgets
of particular interest are:

.nf
.ta 1.2i
notebook	The XmNotebook widget
text	The XmText widget
label	The status area XmLabel widget
.fi

To set a specific resource in your \fI.Xdefaults\fR file,  you specify the
particular widget and resource.  For example,  if we wished to assign specific
colors to the text widget's and notebook widget's background, we could
do the following:

.nf
.ta 3i
XmDTodo*notebook.background:	forestgreen
XmDTodo*text.background:	white
.fi

Additionally there is an application resource to set the default
todo file location:

.nf
.ta 3i
XmDTodo*todoFile:	/users/myhomedir/sometodofile
.fi

.SH BUGS

Todo can occationally get confused when pages are deleted.  Save the current
contents and reopen to resync the application in this case. New pages are
always prepended before the current page,  there should be a way to choose.
Ideally the display should use an XmCSText with rich text and not plain
ascii,  but that went beyond the scope of the demonstration.
