/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
 * $Log: Square.h,v $
 * Revision 1.1.2.1  1994/06/02  15:39:43  marty
 * 	File moved from demos/dogs
 * 	[1994/06/02  14:12:01  marty]
 *
 * Revision 1.4.4.2  1993/07/21  20:31:16  yak
 * 	Expended OSF Copyright marker
 * 	[1993/07/21  19:06:09  yak]
 * 
 * Revision 1.4.2.2  1992/05/21  16:47:22  yak
 * 	Removed personal copyrights
 * 	[1992/05/21  15:10:00  yak]
 * 
 * Revision 1.4  1992/03/13  15:34:28  devsrc
 * 	Converted to ODE
 * 
 * $EndLog$
*/ 
/*   $RCSfile: Square.h,v $ $Revision: 1.1.2.1 $ $Date: 1994/06/02 15:39:43 $ */

/*****************************************************************************
*
*  Square.h - widget public header file
*
******************************************************************************/

#ifndef _Square_h
#define _Square_h

#include <Xm/BulletinB.h>

externalref WidgetClass squareWidgetClass;

typedef struct _SquareClassRec *SquareWidgetClass;
typedef struct _SquareRec *SquareWidget;

extern Widget SquareCreate();
extern int SquareMrmInitialize();

#define IsSquare(w) XtIsSubclass((w), squareWidgetClass)

#define SquareWIDTH 0
#define SquareHEIGHT 1

#define SquareNmajorDimension "majorDimension"
#define SquareCMajorDimension "MajorDimension"

#define SquareNmakeSquare "makeSquare"
#define SquareCMakeSquare "MakeSquare"

#endif /* _Square_h */
/* DON'T ADD ANYTHING AFTER THIS #endif */
